using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SoundPlayerScript : MonoBehaviour {

    [SerializeField] AudioSource confirm;
    [SerializeField] AudioSource back;
    [SerializeField] AudioSource fail;
    [SerializeField] AudioSource attack;
    [SerializeField] AudioSource damaged;
    [SerializeField] AudioSource valChange;
    [SerializeField] AudioSource move;

    static AudioSource confirmStat;
    static AudioSource backStat;
    static AudioSource failStat;
    static AudioSource attackStat;
    static AudioSource damagedStat;
    static AudioSource valChangeStat;
    static AudioSource moveStat;


    // Use this for initialization
    void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
        confirmStat = confirm;
        valChangeStat = valChange;
        damagedStat = damaged;
        attackStat = attack;
        backStat = back;
        failStat = fail;
        moveStat = move;
    }

    public static void PlayConfirmSound()
    {
        confirmStat.Play();
    }
    public static void PlayValChangeSound()
    {
        valChangeStat.Play();
    }
    public static void PlayDamagedSound()
    {
        damagedStat.Play();
    }
    public static void PlayAttackSound()
    {
        attackStat.Play();
    }
    public static void PlayBackSound()
    {
        backStat.Play();
    }
    public static void PlayFailSound()
    {
        failStat.Play();
    }

    public static void PlayMoveSound()
    {
        moveStat.Play();
    }
}
